petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCASMGetLocalType

Gets the type of composition used for local problems in the additive Schwarz method.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCASMGetLocalType(PC pc, PCCompositeType *type)

Logically Collective on PC Many br

### Input Parameter

pc -the preconditioner context Many br

### Output Parameter

type -type of composition, one of Many br

      PC_COMPOSITE_ADDITIVE       - local additive combination
      PC_COMPOSITE_MULTIPLICATIVE - local multiplicative combination

Many br

### Options Database Key

-pc_asm_local_type [additive,multiplicative] -Sets local solver composition type Many br

Many br

### See Also

PCASMSetType(), PCASMGetType(), PCASMSetLocalType(), PCASMCreate()

Level:intermediate
Location:src/ksp/pc/impls/asm/asm.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages